
public class Zebre {

    // attributs
    int taille;       // en cm
    String couleur;
    double age;       // annees
    
    // attributs statiques: equivalent de variables globales
    // Invariant: cet attribut est incremente a chaque construction d'un zebre
    static int nombreZebres=0;
    
    // Constructeur / initialisateur
    public Zebre(int taille, String couleur, double age) {
        this.taille = taille;
        this.couleur = couleur;
        this.age = age;
        nombreZebres++;
    }
    
    public Zebre(String couleur) {
        this.couleur = couleur;
        this.taille = 120;
        this.age = 2;
        nombreZebres++;        
    }
    
    public Zebre(double age) {
        this.couleur = "blanc et noir";
        this.taille = 120;
        this.age = age;
        nombreZebres++;
    }
    
    
    // méthode  (méthode d'objet)
    public String toString() {
        return "Un zebre de "+age+" ans de couleur "+couleur+" et de taille "+taille;
    }
    
    public void vieillir() {
        age ++;
    }
    
    
    // méthodes statique: equivalent de fonction
    /**
     * @param args
     */
    public static void main(String[] args) {
        Zebre zebre = new Zebre(120,"jaune",2);
        System.out.println(nombreZebres);
        
        Zebre loulou = new Zebre(60,"rose",0.5);
        System.out.println(nombreZebres);
        
        Zebre zaza = new Zebre("bleu");
        Zebre toto = new Zebre(0.2);
        
        System.out.println(3);
        System.out.println(zebre);
        
        /*
        zebre.affiche();
        loulou.affiche();
        zebre.vieillir();
        loulou.vieillir();
        zebre.affiche();
        loulou.affiche();
        Zebre zozo = zaza;
        
        Zebre x = new Zebre(110, "vert", 3);
        System.out.println(nombreZebres);
        */
    }
    

}
